KDE 4.7 PyKDE API Reference

- KDE's Python API

# KMountPoint Class Reference

`from PyKDE4.kio import *`

## Detailed Description

## Enumerations
DetailsNeededFlag | { BasicInfoNeeded, NeedMountOptions, NeedRealDeviceName }
FileSystemFlag | { SupportsChmod, SupportsChown, SupportsUTime, SupportsSymlinks, CaseInsensitive }
## Methods
| __init__ (self)
| __init__ (self, KMountPoint other)
QStringList | mountOptions (self)
QString | mountPoint (self)
QString | mountType (self)
QString | mountedFrom (self)
bool | probablySlow (self)
QString | realDeviceName (self)
bool | testFileSystemFlag (self, KMountPoint.FileSystemFlag flag)
## Static Methods
KMountPoint.List | currentMountPoints (KMountPoint.DetailsNeededFlags infoNeeded=KMountPoint.BasicInfoNeeded)
KMountPoint.List | possibleMountPoints (KMountPoint.DetailsNeededFlags infoNeeded=KMountPoint.BasicInfoNeeded)

## Method Documentation

__init__ | ( |  | self ) |

__init__ | ( | self, |
|  | KMountPoint | other
| ) |  |  |

QStringList mountOptions | ( |  | self ) |

QString mountPoint | ( |  | self ) |

QString mountType | ( |  | self ) |

QString mountedFrom | ( |  | self ) |

bool probablySlow | ( |  | self ) |

QString realDeviceName | ( |  | self ) |

bool testFileSystemFlag | ( | self, |
|  | KMountPoint.FileSystemFlag | flag
| ) |  |  |

## Static Method Documentation

KMountPoint.List currentMountPoints | ( | KMountPoint.DetailsNeededFlags | infoNeeded=KMountPoint.BasicInfoNeeded
| ) |  |  |

KMountPoint.List possibleMountPoints | ( | KMountPoint.DetailsNeededFlags | infoNeeded=KMountPoint.BasicInfoNeeded
| ) |  |  |

## Enumeration Documentation

DetailsNeededFlag

Enumerator:

  BasicInfoNeeded |
  NeedMountOptions |
  NeedRealDeviceName |

FileSystemFlag

Enumerator:

  SupportsChmod |
  SupportsChown |
  SupportsUTime |
  SupportsSymlinks |
  CaseInsensitive |